.checkbox {
  margin: auto 0;
  &__input {
    margin: 0;
    display: none;
    opacity: 0;
  }

  &__label {
    display: flex;
    align-items: center;
    position: relative;

    @include font(0.9375rem, $secondary-color);

    cursor: pointer;

    &:before {
      content: "";
      @include size(1.25rem, 1.25rem);
      margin-right: 0.6875rem;

      box-sizing: border-box;
      flex-shrink: 0;

      border: 1px solid $accent-color;
      border-radius: 2px;
      transition: $transition;
    }

    &:hover:before {
      background-color: $accent-color;
    }
  }

  &[checked="true"] {
    .checkbox__label {
      &:before {
        background-color: $accent-color;
      }

      &:after {
        content: "";
        @include size(0.7rem, 0.4rem);

        position: absolute;
        top: 0.25rem;
        left: 0.25rem;

        border-bottom: 1px solid $primary-color;
        border-left: 1px solid $primary-color;
        background-color: transparent;
        transform: rotate(-45deg);
      }
    }
  }
}
